All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] xfstests: generic/313, test sgid inheritance on subdirs
@ 2013-05-29 22:30 Eric Sandeen
  2013-05-30 20:02 ` [PATCH V2] " Eric Sandeen
  0 siblings, 1 reply; 10+ messages in thread
From: Eric Sandeen @ 2013-05-29 22:30 UTC (permalink / raw)
  To: xfs-oss

On XFS this test fails today due to some over-eager
SGID removal in xfs core code; ext4 & btrfs pass.
Document it in a test, will send xfs patch in a bit.

Signed-off-by: Eric Sandeen <sandeen@redhat.com>
---

p.s.  I'm going to just flaunt my ignorance and say:
I've never understood acls well.  I'm hoping someone who does
can help me write a better changelog, because this one
is no good at all!

diff --git a/tests/generic/313 b/tests/generic/313
new file mode 100755
index 0000000..289fd6f
--- /dev/null
+++ b/tests/generic/313
@@ -0,0 +1,67 @@
+#! /bin/bash
+# FS QA Test No. 313
+#
+# Test SGID inheritance on subdirectories
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Red Hat, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs generic
+_require_acls
+_require_user
+_need_to_be_root
+
+rm -rf $TEST_DIR/$seq-dir
+
+# Make dir owned by qa user, and an unrelated group:
+mkdir $TEST_DIR/$seq-dir
+chown $qa_user:12345 $TEST_DIR/$seq-dir
+
+# Make parent dir sgid
+chmod 2775 $TEST_DIR/$seq-dir
+
+# Make subdirs before & after acl set
+su $qa_user -c "mkdir $TEST_DIR/$seq-dir/subdir"
+su $qa_user -c "setfacl -m u:$qa_user:rwx,d:u:$qa_user:rwx $TEST_DIR/$seq-dir"
+su $qa_user -c "mkdir $TEST_DIR/$seq-dir/subdir2"
+
+# Both subdirs should have inherited sgid
+ls -ld $TEST_DIR/$seq-dir/subdir* | _filter_test_dir | awk '{print $1,$NF}'
+
+status=0
+exit
diff --git a/tests/generic/313.out b/tests/generic/313.out
new file mode 100644
index 0000000..326a929
--- /dev/null
+++ b/tests/generic/313.out
@@ -0,0 +1,3 @@
+QA output created by 313
+drwxr-sr-x. TEST_DIR/313-dir/subdir
+drwxrwsr-x+ TEST_DIR/313-dir/subdir2
diff --git a/tests/generic/group b/tests/generic/group
index bd443c1..d5ec8d5 100644
--- a/tests/generic/group
+++ b/tests/generic/group
@@ -115,3 +115,4 @@
 310 auto
 311 auto metadata log
 312 auto quick prealloc enospc
+313 auto quick acl

_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs

^ permalink raw reply related	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2013-07-12 19:21 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2013-05-29 22:30 [PATCH] xfstests: generic/313, test sgid inheritance on subdirs Eric Sandeen
2013-05-30 20:02 ` [PATCH V2] " Eric Sandeen
2013-06-12 19:23   ` Carlos Maiolino
2013-07-08 21:51     ` Ben Myers
2013-07-11 17:53       ` Carlos Maiolino
2013-07-11 18:28         ` Carlos Maiolino
2013-07-11 18:34           ` Eric Sandeen
2013-07-11 18:53             ` Eric Sandeen
2013-07-12 18:51   ` [PATCH V3] xfstests: generic/314, " Eric Sandeen
2013-07-12 19:21     ` Carlos Maiolino

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.